package com.srs.comprehensive.service;

import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.comprehensive.domain.Dto.CphClassTbsj;
import com.srs.comprehensive.domain.Dto.PageDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@DataSource(value = DataSourceType.DATABASE)
public interface CphSqlServerDataService {

    public List<Map> getStudentInfoList(int page, int pageSize,String stuNo);//学生

    public int getStudentInfoNumber();


    public List<CphClassTbsj> getClassInfodm(String bjdm);

    @DataSource(DataSourceType.DATABASE)
    List<Map> getClassInfoListPage(PageDto param);

    public List<Map> getClassInfoList();//班级

    public List<Map> getGradeInfoList();//年级

    @DataSource(DataSourceType.DATABASE)
    List<Map> getSpecialtyInfoListPage(PageDto param);

    public List<Map> getSpecialtyInfoList();//专业

    public List<Map> getSpecialtyzydm(String zydm);

    public List<Map> getBZRClassInfoList();//班级辅导员

    List<Map> getEmployEEInfoList();//教职工


    public String gets(Long njid);


    public String getfdy(String bjdm);


    public String getzydm(Long zyid);
}
